AMD GPU Pro на Loki (Ubuntu 16.04 Kernel 4.4)

У меня есть R9 380 Tonga Chipset, который является одним из графических процессоров AMD GPU Pro, и поскольку Loki работает от 16.04, я думал, что это не сработает.

Я следил за гидом с сайта AMD

Руководство AMD

Когда я добрался до части установки, я получил «Unsupported OS».

Я являюсь новым потребителем ПК низкого уровня для Linux. Вы знаете, как я могу заставить это работать? Может быть, у Кэссиди Джеймса есть еще один отцовский барьер, который я еще не прошел?

Добавить

elementary) PACKAGES="amdgpu-pro amdgpu-pro-lib32 amdgpu-pro-dkms" ;; 

к amdgpu-pro-install , прямо под частью ubuntu:

  ubuntu) PACKAGES="amdgpu-pro amdgpu-pro-lib32 amdgpu-pro-dkms" ;; 

Сценарий установки не смог установить некоторые зависимости в моем случае, поэтому мне пришлось запустить sudo apt-get -f install для их установки. Драйверы amdgpu-pro работали не очень хорошо , поэтому я удалил их после тестирования. Может быть, кто-то знает больше об этой теме.